#ifndef __vtkSteeringPlugin_h
#define __vtkSteeringPlugin_h

#include <iostream>
#include <sstream>

#include <vtkSmartPointer.h>
#include <vtkUnstructuredGrid.h>
#include <vtkSMLiveInsituLinkProxy.h>
#include <vtkSMSessionProxyManager.h>

#include <vtkSmartPointer.h>
#include <vtkSMProxy.h>
#include <vtkSMSourceProxy.h>
#include <vtkPVTrivialProducer.h>

#include <vtkPVConfig.h>
#include <vtkSMPropertyHelper.h>

class VTK_EXPORT vtkSteeringPlugin : public vtkPVTrivialProducer
{
    public:
        static vtkSteeringPlugin* New();
        vtkTypeMacro(vtkSteeringPlugin,vtkPVTrivialProducer);
        void PrintSelf(ostream& os, vtkIndent indent);

        vtkSetMacro(Value, double);
        vtkGetMacro(Value, double);

    protected:
        vtkSteeringPlugin();
        ~vtkSteeringPlugin();

        //int RequestData(vtkInformation * request, vtkInformationVector ** inInfo, vtkInformationVector * outInfo);
    private:
        vtkSteeringPlugin(const vtkSteeringPlugin&);  // Not implemented.
        void operator=(const vtkSteeringPlugin&);  // Not implemented.

        double Value;
};

#endif
